const mongoose = require('mongoose');

const LicenseInfoSchema = new mongoose.Schema({
  customerName: String,
  phone: String,
  demoLicenseKey: String,
  demoStartDate: Date,
  demoEndDate: Date,
  fullLicenseKey: { type: String, default: 'awaited' },
  price: { type: Number, default: 0 },
  pricePaid: { type: String, default: 'awaited' },
  paidDate: { type: String, default: 'awaited' }
});

module.exports = mongoose.model('LicenseInfo', LicenseInfoSchema);
